#!/bin/bash

#change pindir to pinlabeler's location on your machine
pindir="$HOME/opt/pinlabeler-0.2"

echo "Click on the output window."
echo "(e.g. gvim or gnome-terminal.  An xterm window may fail.)"
export OUTPUT_WINDOW=`xwininfo | awk 'NR==6 {print $4}'`
echo "Window $OUTPUT_WINDOW selected.  Starting gvpin."

#determine the xse executable
XSE="$pindir/xse-2.1/xse"
test -x "$XSE" || XSE="${XSE}.exe" #for cygwin
export XSE

#determine the gv executable
executable="$pindir/gvpin-0.2/src/gv" 
test -x "$executable" || executable="${executable}.exe" #for cygwin

exec "$executable" --ad="$pindir/gvpin.ad" "$@" | "$pindir/keystowindow.sh"
